#
# spec file for package finger (Version 1.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           finger
License:        BSD
Group:          Productivity/Networking/Other
Requires:       netcfg
Autoreqprov:    on
Version:        1.3
Release:        14.2
Summary:        Show User Information (Client)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         finger-bsd-%version.tar.bz2
Source1:        finger.xinetd

%description
Finger is a utility that allows users to see information about system
users (login name, home directory, name, and more) on local and remote
systems.



%debug_package
%package server
Summary:        A Server for Showing User Information
Group:          Productivity/Networking/Other
Requires:       netcfg
Autoreqprov:    on

%description server
The finger daemon implements a simple protocol based on RFC1196 that
provides an interface to the Name and Finger programs at several
network sites. The program is supposed to return a friendly
human-oriented status report on either the system at the moment or a
particular person.



%prep
%setup -n finger-bsd-%version

%build
export CFLAGS="$RPM_OPT_FLAGS -fpie" LDFLAGS="-pie"
./configure --build %_target_cpu-suse-linux \
	    --bindir=%_bindir --sbindir=%_sbindir
make

%install
install -d -m 755 $RPM_BUILD_ROOT/etc/xinetd.d
install -d -m 755 $RPM_BUILD_ROOT%_bindir
install -d -m 755 $RPM_BUILD_ROOT%_sbindir
install -d -m 755 $RPM_BUILD_ROOT%_mandir/man1
install -d -m 755 $RPM_BUILD_ROOT%_mandir/man3
install -d -m 755 $RPM_BUILD_ROOT%_mandir/man5
install -d -m 755 $RPM_BUILD_ROOT%_mandir/man8
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 $RPM_SOURCE_DIR/finger.xinetd $RPM_BUILD_ROOT/etc/xinetd.d/finger

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%_bindir/finger
%doc %_mandir/man1/finger.1.gz

%files server
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%doc %_mandir/man8/fingerd.8.gz
%doc %_mandir/man8/in.fingerd.8.gz
%config(noreplace) /etc/xinetd.d/finger
/usr/share/locale/de/LC_MESSAGES/finger-bsd.mo

%_sbindir/in.fingerd

%changelog -n finger
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jun 16 2005 - mmj@suse.de
- Compile with -fpie, link with -pie
* Thu Jun 02 2005 - kukuk@suse.de
- Update to version 1.3 (-fpie/-pie support, update from CVS)
* Tue Feb 10 2004 - kukuk@suse.de
- Update to version 1.2 (Convert UTF-8 input from passwd to local
  locale).
* Thu Oct 16 2003 - mmj@suse.de
- Don't build as root
* Tue May 13 2003 - mmj@suse.de
- Package all files
- Use %%defattr
* Tue Jan 14 2003 - kukuk@suse.de
- Add xinetd config file
* Fri Feb 22 2002 - kukuk@suse.de
- Fix problems with locales [Bug #13592]:
- correct setlocale call
- use isprint to check for printable characters
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Fri Mar 09 2001 - kukuk@suse.de
- Initial package, split from nkitb
